%define pkg_name        Net-IPv4Addr
%define pkg_version     0.10
%define rpm_pkg_version 0.10
%define rpm_pkg_release 2.n0i.2

Summary:       Perl extension for manipulating IPv4 addresses
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/F/FR/FRAJULAC/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Net::IPv4Addr provides functions for parsing IPv4 addresses both in
traditional address/netmask format and in the new CIDR format. There are
also methods for calculating the network and broadcast address and also to
see check if a given address is in a specific network.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m -l}
%doc ChangeLog NEWS README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.10-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> 0.10-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
